find_get_page
Prev | More Memory Management Functions | Next

## Name

find_get_page — find and get a page reference

## Synopsis

`struct page * find_get_page (` | struct address_space * | mapping,
| unsigned long | offset`)`;

## Arguments

`mapping`

  the address_space to search

`offset`

  the page index

## Description

Is there a pagecache struct page at the given (mapping, offset) tuple? If yes, increment its refcount and return it; if no, return NULL.

Prev | Up | Next
__lock_page | Home | find_lock_page